Subject: Re: bug#47060: mouse-1-click-follows-link double broken by 3d5e31eceb9dc1fb62b2b27bcab549df3bd04ce9

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Mar 2021 21:29:12 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Fri, 12 Mar 2021 12:38:42 -0500
> Cc: [email-masked], Jimmy Yuen Ho Wong <[email-masked]>
> 
> Oh, my!  Indeed, I forgot that I tested that with my local Emacs which
> has included the patch below for some years.
> 
> Hmm... Eli, what do you say, should I revert the patch on `emacs-27`
> (seeing how it's obviously not as safe as I thought), or should I add
> the patch below to `emacs-27`?
> 
> The problem is that currently `event-convert-list` disagrees with
> `event-modifiers` about which set of symbols can be used as modifiers:
> `event-modifiers` will sometimes include `click` as a modifier, whereas
> `event-convert-list` doesn't accept it.

Too bad.  I think we must revert the change you made.